OpenCV: Image processing

| OpenCV 3.4.2 Open Source Computer Vision

Modules | Classes | Enumerations | Functions
Image processing

## Modules
| Image Filtering
| Geometric Image Transformations
| Miscellaneous Image Transformations
| Drawing Functions
| ColorMaps in OpenCV
| Planar Subdivision
| Histograms
| Structural Analysis and Shape Descriptors
| Motion Analysis and Object Tracking
| Feature Detection
| Object Detection
| C API
| Hardware Acceleration Layer

## Classes
class | cv::CLAHE
| Base class for Contrast Limited Adaptive Histogram Equalization. : More...
class | cv::GeneralizedHough
| finds arbitrary template in the grayscale image using Generalized Hough Transform More...
class | cv::GeneralizedHoughBallard
class | cv::GeneralizedHoughGuil

## Enumerations
enum | cv::HoughModes { cv::HOUGH_STANDARD = 0, cv::HOUGH_PROBABILISTIC = 1, cv::HOUGH_MULTI_SCALE = 2, cv::HOUGH_GRADIENT = 3 }
| Variants of a Hough transform. More...

## Functions
void | cv::blendLinear (InputArray src1, InputArray src2, InputArray weights1, InputArray weights2, OutputArray dst)
Ptr< CLAHE > | cv::createCLAHE (double clipLimit=40.0, Size tileGridSize=Size(8, 8))
| Creates implementation for cv::CLAHE . More...
Ptr< GeneralizedHoughBallard > | cv::createGeneralizedHoughBallard ()
Ptr< GeneralizedHoughGuil > | cv::createGeneralizedHoughGuil ()
void | cv::demosaicing (InputArray _src, OutputArray _dst, int code, int dcn=0)

## Detailed Description

## Enumeration Type Documentation

## ◆ HoughModes

enum cv::HoughModes

Variants of a Hough transform.

Enumerator
HOUGH_STANDARD | classical or standard Hough transform. Every line is represented by two floating-point numbers \((\rho, \theta)\) , where \(\rho\) is a distance between (0,0) point and the line, and \(\theta\) is the angle between x-axis and the normal to the line. Thus, the matrix must be (the created sequence will be) of CV_32FC2 type
HOUGH_PROBABILISTIC | probabilistic Hough transform (more efficient in case if the picture contains a few long linear segments). It returns line segments rather than the whole line. Each segment is represented by starting and ending points, and the matrix must be (the created sequence will be) of the CV_32SC4 type.
HOUGH_MULTI_SCALE | multi-scale variant of the classical Hough transform. The lines are encoded the same way as HOUGH_STANDARD.
HOUGH_GRADIENT | basically 21HT, described in [101]

## Function Documentation

## ◆ blendLinear()

void cv::blendLinear | ( | InputArray | src1,
|  | InputArray | src2,
|  | InputArray | weights1,
|  | InputArray | weights2,
|  | OutputArray | dst
| ) |  |

Performs linear blending of two images:

\[ \texttt{dst}(i,j) = \texttt{weights1}(i,j)*\texttt{src1}(i,j) + \texttt{weights2}(i,j)*\texttt{src2}(i,j) \]

Parameters

  src1 | It has a type of CV_8UC(n) or CV_32FC(n), where n is a positive integer.
  src2 | It has the same type and size as src1.
  weights1 | It has a type of CV_32FC1 and the same size with src1.
  weights2 | It has a type of CV_32FC1 and the same size with src1.
  dst | It is created if it does not have the same size and type with src1.

## ◆ createCLAHE()

Ptr<CLAHE> cv::createCLAHE | ( | double | clipLimit = `40.0`,
|  | Size | tileGridSize = `Size(8, 8)`
| ) |  |

Creates implementation for cv::CLAHE .

Parameters

  clipLimit | Threshold for contrast limiting.
  tileGridSize | Size of grid for histogram equalization. Input image will be divided into equally sized rectangular tiles. tileGridSize defines the number of tiles in row and column.

## ◆ createGeneralizedHoughBallard()

Ptr<GeneralizedHoughBallard> cv::createGeneralizedHoughBallard | ( |  | ) |

Ballard, D.H. (1981). Generalizing the Hough transform to detect arbitrary shapes. Pattern Recognition 13 (2): 111-122. Detects position only without translation and rotation

## ◆ createGeneralizedHoughGuil()

Ptr<GeneralizedHoughGuil> cv::createGeneralizedHoughGuil | ( |  | ) |

Guil, N., González-Linares, J.M. and Zapata, E.L. (1999). Bidimensional shape detection using an invariant approach. Pattern Recognition 32 (6): 1025-1038. Detects position, translation and rotation

## ◆ demosaicing()

void cv::demosaicing | ( | InputArray | _src,
|  | OutputArray | _dst,
|  | int | code,
|  | int | dcn = `0`
| ) |  |